import request from '@/utils/request'
// 获取消息类型列表, 不分页
export function getNoticeMessageList(data) {
  return request({
    url: '/system/getNoticeMessageList',
    method: 'post',
    params: data
  })
}
// 增加消息类型
export function addNoticeMessage(data) {
  return request({
    url: '/system/addNoticeMessage',
    method: 'post',
    params: data
  })
}
// 获取消息类型信息
export function getNoticeMessageInfo(data) {
  return request({
    url: '/system/getNoticeMessageInfo',
    method: 'post',
    params: data
  })
}
// 修改消息类型
export function updateNoticeMessage(data) {
  return request({
    url: '/system/updateNoticeMessage',
    method: 'post',
    params: data
  })
}
// 消息类型测试发送消息
export function testNoticeMessage(data) {
  return request({
    url: '/system/testNoticeMessage',
    method: 'post',
    params: data
  })
}
